Bug 597532 - Unable to start scan
Unable to start scan
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: sane-backends (Show other bugs)
14
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-29 08:43 EDT by Benjamin Bellec
Modified: 2011-07-04 09:17 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:59:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Popup (42.87 KB, image/png)
2010-05-29 08:43 EDT, Benjamin Bellec
no flags Details

  None (edit)
Description Benjamin Bellec 2010-05-29 08:43:07 EDT
Created attachment 417852 [details]
Popup

Description of problem:
simple-scan cannot scan a document. When performing a scan, a popup warns :

"Failed to scan
Unable to start scan"

Look at the screenshot.

In command-line, here is the output :
$ simple-scan
** (simple-scan:2815): WARNING **: Unable to start device: Invalid argument

Same problem in a root shell.

$ lsusb
[...]
Bus 003 Device 002: ID 04b8:0103 Seiko Epson Corp. Perfection 610
[...]

Version-Release number of selected component (if applicable):
simple-scan 1.0.2-1.fc13.i686
linux 2.6.33.4-95.fc13.i686

How reproducible:
Perform a simple scan.

Steps to Reproduce:
1. Power on the scanner
2. Open simple-scan
3. Perform a scan
  
Actual results:
Unable to scan.

Expected results:
Able to scan.

Additional info:
Same problem with xsane.
Comment 1 Benjamin Bellec 2010-05-29 08:48:28 EDT
xsane error is :
"Failed to start scanner: Invalid argument."
Comment 2 Rahul Sundaram 2010-06-08 11:49:32 EDT
reassigning.
Comment 3 Benjamin Bellec 2010-10-02 08:06:57 EDT
Here is some more information : https://bugs.launchpad.net/ubuntu/+source/xsane/+bug/478761

But I finally solved my problem with a workaround : install a new sane backend for Epson devices : "Image Scan! for Linux"
http://avasys.jp/eng/linux_driver/download/

The packages installs a new utility to perform scans, but also permits to scan within xsane (with the new "epkowa" backend) or simple-scan.
Comment 4 Nils Philippsen 2010-10-04 06:35:36 EDT
Can you tell which of the drivers shipped with snae-backends you were using? The upstream list of supported devices[1] lists your model as supported only by the (unmaintained) "epson" driver, not by the "epson2" driver. You might want to check if commenting out the "epson2" and "epkowa" backends in /etc/sane.d/dll.conf makes the device work.

[1]: http://www.sane-project.org/sane-mfgs.html#Z-EPSON
Comment 5 Benjamin Bellec 2010-10-04 09:52:39 EDT
It's "epson2".
"epson" line is commented.

But http://www.sane-project.org/sane-mfgs.html#Z-EPSON indicates that the Perfection610 is supported by both backends.
Comment 6 Nils Philippsen 2010-10-04 10:35:03 EDT
(In reply to comment #5)
> It's "epson2".
> "epson" line is commented.
> 
> But http://www.sane-project.org/sane-mfgs.html#Z-EPSON indicates that the
> Perfection610 is supported by both backends.

Uhh right (I somehow missed that). Could you try it with the "epson" rather than the "epson2" driver just to check whether the older one works better? Thanks.
Comment 7 Benjamin Bellec 2010-10-04 10:43:16 EDT
Ok I will try that, asap... the scanner is not with me. I could try this only in 15 days...
Comment 8 Jason M. Christos 2010-10-16 04:12:22 EDT
Slightly different it will scan 1 page but after that errors out. As shown below:

** (simple-scan:2365): WARNING **: Unable to start device: Invalid argument


 using fujitsu snapscan 1500 . can anyone help me fix this?
Comment 9 Benjamin Bellec 2010-10-24 05:37:17 EDT
The old backend "epson" works fine too. But not "espon2".
Comment 10 Benjamin Bellec 2010-10-24 05:50:59 EDT
Idem in F14 Beta.
Comment 11 John William 2010-12-02 00:16:55 EST
This bug is still present in F14, at least with:

xsane-common-0.997-10.fc14.x86_64
simple-scan-2.32.0-1.fc14.x86_64

Switching from the epson2 to the epson driver works for me and my Epson Perfection 610.
Comment 12 Jason M. Christos 2010-12-23 04:09:57 EST
I had to workaround this by installing the shipped sane-backend for F13
Comment 13 Duncan Innes 2011-02-24 06:01:18 EST
Just done all the yum updates on a x86_64 F14 and still getting this error.  The scanner I have is an Epson Perfection 640U.

Is there any movement on this bug?  It's a pretty major one for home users!
Comment 14 Bug Zapper 2011-06-02 08:56:21 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2011-06-27 12:59:41 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 16 Nils Philippsen 2011-06-28 07:13:53 EDT
I should have followed up on this, sorry.

Can anybody subscribed to this bug reproduce the original issue (see comment #0 or comment #1) with current versions of sane-backends and xsane or simple-scan On fedora 14 or later?
Comment 17 Duncan Innes 2011-06-29 09:00:09 EDT
Comments 10,11 & 13 show this bug as present in F14.  I've not checked in F15 yet, but will do so once I've moved house.

Can this be re-opened now or does it need to wait for F15 confirmation?
Comment 18 Nils Philippsen 2011-06-29 09:42:00 EDT
(In reply to comment #17)
> Comments 10,11 & 13 show this bug as present in F14.  I've not checked in F15
> yet, but will do so once I've moved house.
> 
> Can this be re-opened now or does it need to wait for F15 confirmation?

If you or one of the other people with this hardware can reproduce it on F-14 or F-15 (with current versions of the packages, at least xsane-0.998-3 and sane-backends-1.0.22-3), feel free to reopen (Fedora 14 is still maintained after all ;-).

At least sane-backends was still on version 1.0.21 at the time comment #13 was written, and this issue might be improved or fixed in 1.0.22. But I don't have your hardware to test this, so can only rely on you and other owners to check if the bug is still there or has been fixed. Far from ideal, I know :-(.
Comment 19 Benjamin Bellec 2011-06-29 12:38:10 EDT
Hi,
I will try this weekend. I can't test now.
Comment 20 Benjamin Bellec 2011-07-01 16:33:52 EDT
It works now with "epson2" backend (the default one) with F15 and sane-backends-1.0.22-3.fc15.
Comment 21 Benjamin Bellec 2011-07-02 05:39:32 EDT
But still doesn't work within F14. But it's not important, the workaround is to use "epson" backend.
Comment 22 Nils Philippsen 2011-07-04 09:17:48 EDT
(In reply to comment #21)
> But still doesn't work within F14. But it's not important, the workaround is to
> use "epson" backend.

Hmm, there may have been fixes in the USB subsystem between F-14 and F-15 which affect this. I'll change the Fedora version to 14 and close this as CANTFIX unless/until someone steps up to act as my "conduit" to such a device exhibiting the problem there with the current package versions. Feel free to reopen in that case, but be warned that this may be some long, dry road ;-).

Note You need to log in before you can comment on or make changes to this bug.